Package org.apache.cxf.common.spi

# Interface NamespaceClassCreator

All Known Implementing Classes:
  `GeneratedNamespaceClassLoader`, `NamespaceClassGenerator`

public interface NamespaceClassCreator
SPI interface to implement the proxy defining logic. It enables to switch from unsafe to classloader logic for instance for java >= 9.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `createNamespaceWrapperClass(Class<?> mcls, Map<String,String> map)`

- ## Method Details

  - ### createNamespaceWrapperClass

    Class<?> createNamespaceWrapperClass(Class<?> mcls, Map<String,String> map)